Index: src/mlx/gui/flight.py
===================================================================
--- src/mlx/gui/flight.py	(revision 309)
+++ src/mlx/gui/flight.py	(revision 347)
@@ -66,13 +66,13 @@
 
         alignment = gtk.Alignment(xalign = 0.0, xscale = 0.0)
-        
+
         titleLabel = gtk.Label(title)
         titleLabel.modify_font(pango.FontDescription("bold 24"))
         alignment.set_padding(padding_top = 4, padding_bottom = 4,
                               padding_left = 6, padding_right = 0)
-                              
+
         alignment.add(titleLabel)
         eventBox.add(alignment)
-        
+
         self._vbox.pack_start(eventBox, False, False, 0)
 
@@ -80,13 +80,13 @@
         self._titleLabel = titleLabel
 
-        mainBox = gtk.VBox()        
+        mainBox = gtk.VBox()
 
         alignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
-                                  xscale = 1.0, yscale = 1.0)        
+                                  xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 16, padding_bottom = 16,
                               padding_left = 16, padding_right = 16)
         alignment.add(mainBox)
         self._vbox.pack_start(alignment, True, True, 0)
-        
+
         alignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                   xscale = 0.0, yscale = 0.0)
@@ -102,5 +102,5 @@
         else:
             longerHelp = completedHelp
-        
+
         self._helpLabel = gtk.Label(completedHelp)
         # FIXME: should be a constant in common
@@ -114,5 +114,5 @@
                                             xscale = 1.0, yscale = 1.0)
         mainBox.pack_start(self._mainAlignment, True, True, 0)
-                                            
+
         buttonAlignment =  gtk.Alignment(xalign = 1.0, xscale=0.0, yscale = 0.0)
         buttonAlignment.set_padding(padding_top = 4, padding_bottom = 10,
@@ -187,5 +187,5 @@
         self._titleEventBox.modify_bg(0, style.bg[3])
         self._titleLabel.modify_fg(0, style.fg[3])
-    
+
     def initialize(self):
         """Initialize the page.
@@ -232,5 +232,5 @@
         """Go to the page we were invoked from."""
         assert self._fromPage is not None
-        
+
         self._wizard.setCurrentPage(self._fromPage, finalize = False)
 
@@ -245,5 +245,5 @@
         """Called when the Cancel flight button is clicked."""
         self._wizard.gui.cancelFlight()
-    
+
 #-----------------------------------------------------------------------------
 
@@ -328,5 +328,5 @@
         self._password.set_text(config.password)
         self._rememberButton.set_active(config.rememberPassword)
-        self._setControls(None)    
+        self._setControls(None)
 
     def _setControls(self, entry = None):
@@ -372,5 +372,5 @@
             config.pilotID = self._pilotID.get_text()
 
-            rememberPassword = self._rememberButton.get_active()                
+            rememberPassword = self._rememberButton.get_active()
             config.password = result.password if rememberPassword else ""
 
@@ -386,5 +386,5 @@
     def __init__(self, wizard):
         """Construct the flight selection page."""
-        help = xstr("flightsel_help") 
+        help = xstr("flightsel_help")
         completedHelp = xstr("flightsel_chelp")
         super(FlightSelectionPage, self).__init__(wizard, xstr("flightsel_title"),
@@ -416,5 +416,5 @@
 
         flightSelection = self._flightList.get_selection()
-        flightSelection.connect("changed", self._selectionChanged)        
+        flightSelection.connect("changed", self._selectionChanged)
 
         scrolledWindow = gtk.ScrolledWindow()
@@ -450,5 +450,5 @@
         self._loadButton.connect("clicked", self._loadButtonClicked)
         self._loadDialog = None
-        
+
         self._button = self.addNextButton(sensitive = False,
                                           clicked =  self._forwardClicked)
@@ -462,5 +462,5 @@
         self._refreshButton.set_sensitive(self._wizard.loggedIn)
         self._buildFlights()
-            
+
     def finalize(self):
         """Finalize the page."""
@@ -521,5 +521,5 @@
                 dialog.run()
                 dialog.hide()
-                
+
     def _refreshClicked(self, button):
         """Called when the refresh button is clicked."""
@@ -551,5 +551,5 @@
                 with open(fileName, "rt") as f:
                     bookedFlight.readFromFile(f)
-                self._addFlight(bookedFlight)                
+                self._addFlight(bookedFlight)
             except Exception, e:
                 print "Failed to load flight:", str(e)
@@ -563,6 +563,6 @@
                 dialog.format_secondary_markup(secondary)
                 dialog.run()
-                dialog.hide()                
-            
+                dialog.hide()
+
     def _forwardClicked(self, button):
         """Called when the forward button was clicked."""
@@ -582,5 +582,5 @@
         self._wizard._bookedFlight = flight
         self._wizard.gui.enableFlightInfo()
-        
+
         self._updateDepartureGate()
 
@@ -591,5 +591,5 @@
         path = listStore.get_path(iter)
         [index] = path.get_indices() if pygobject else path
-        
+
         return self._flights[index]
 
@@ -610,5 +610,5 @@
         else:
             menu.popup(None, None, None, event.button, event.time)
-        
+
     def _updateDepartureGate(self):
         """Update the departure gate for the booked flight."""
@@ -625,5 +625,5 @@
             self._nextDistance = 2
             self._wizard.jumpPage(2)
-            
+
     def _fleetRetrieved(self, fleet):
         """Called when the fleet has been retrieved."""
@@ -654,5 +654,5 @@
         if self._saveDialog is not None:
             return self._saveDialog
-        
+
         gui = self._wizard.gui
         dialog = gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
@@ -663,5 +663,5 @@
                                                   gtk.STOCK_OK, RESPONSETYPE_OK),
                                        parent = gui.mainWindow)
-        dialog.set_modal(True)            
+        dialog.set_modal(True)
         dialog.set_do_overwrite_confirmation(True)
 
@@ -670,5 +670,5 @@
         filter.add_pattern("*.vaflight")
         dialog.add_filter(filter)
-            
+
         filter = gtk.FileFilter()
         filter.set_name(xstr("file_filter_all"))
@@ -677,12 +677,12 @@
 
         self._saveDialog = dialog
-        
-        return dialog        
-    
+
+        return dialog
+
     def _getLoadDialog(self):
         """Get the dialog to load a flight file."""
         if self._loadDialog is not None:
             return self._loadDialog
-        
+
         gui = self._wizard.gui
         dialog = gtk.FileChooserDialog(title = WINDOW_TITLE_BASE + " - " +
@@ -693,5 +693,5 @@
                                                   gtk.STOCK_OK, RESPONSETYPE_OK),
                                        parent = gui.mainWindow)
-        dialog.set_modal(True)            
+        dialog.set_modal(True)
 
         filter = gtk.FileFilter()
@@ -699,5 +699,5 @@
         filter.add_pattern("*.vaflight")
         dialog.add_filter(filter)
-            
+
         filter = gtk.FileFilter()
         filter.set_name(xstr("file_filter_all"))
@@ -706,6 +706,6 @@
 
         self._loadDialog = dialog
-        
-        return dialog        
+
+        return dialog
 
     def _getListPopupMenu(self):
@@ -721,5 +721,5 @@
 
             menu.append(menuItem)
-        
+
             menuItem = gtk.MenuItem()
             menuItem.set_label(xstr("flightsel_popup_save"))
@@ -738,10 +738,10 @@
         if not self._completed:
             self._flightSelected()
-    
+
     def _popupSave(self, menuItem):
         """Called when the Save menu item is activated in the popup menu."""
         if not self._completed:
             self._saveSelected()
-    
+
 #-----------------------------------------------------------------------------
 
@@ -753,5 +753,5 @@
         super(GateSelectionPage, self).__init__(wizard, xstr("gatesel_title"),
                                                 xstr("gatesel_help"))
-        
+
         self._listStore = gtk.ListStore(str)
         self._gateList = gtk.TreeView(self._listStore)
@@ -779,10 +779,10 @@
         alignment.add(scrolledWindow)
 
-        self.setMainWidget(alignment)        
+        self.setMainWidget(alignment)
 
         self.addCancelFlightButton()
 
         self.addPreviousButton(clicked = self._backClicked)
-        
+
         self._button = self.addNextButton(sensitive = False,
                                           clicked = self._forwardClicked)
@@ -831,5 +831,5 @@
         self._wizard.updatePlane(self._planeUpdated,
                                  self._wizard._bookedFlight.tailNumber,
-                                 const.PLANE_HOME, gateNumber)        
+                                 const.PLANE_HOME, gateNumber)
 
     def _planeUpdated(self, success):
@@ -855,5 +855,5 @@
         else:
             self.activate()
-            
+
 #-----------------------------------------------------------------------------
 
@@ -869,5 +869,5 @@
                                           xstr("connect_help"),
                                           completedHelp = xstr("connect_chelp"))
-        
+
         alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
@@ -962,5 +962,5 @@
         aircraftType = aircraftNames[bookedFlight.aircraftType]
         self._aircraft.set_markup("<b>" + aircraftType + "</b>")
-        
+
         self._tailNumber.set_markup("<b>" + bookedFlight.tailNumber + "</b>")
 
@@ -1023,5 +1023,5 @@
         table.attach(self._numCrew, 1, 2, 0, 1)
         label.set_mnemonic_widget(self._numCrew)
-        
+
         label = gtk.Label(xstr("payload_pax"))
         label.set_use_underline(True)
@@ -1029,5 +1029,5 @@
         table.attach(label, 0, 1, 1, 2)
 
-        self._numPassengers = IntegerEntry(defaultValue = 0)        
+        self._numPassengers = IntegerEntry(defaultValue = 0)
         self._numPassengers.set_width_chars(6)
         self._numPassengers.connect("integer-changed", self._weightChanged)
@@ -1035,5 +1035,5 @@
         table.attach(self._numPassengers, 1, 2, 1, 2)
         label.set_mnemonic_widget(self._numPassengers)
-        
+
         label = gtk.Label(xstr("payload_bag"))
         label.set_use_underline(True)
@@ -1049,5 +1049,5 @@
 
         table.attach(gtk.Label("kg"), 2, 3, 2, 3)
-        
+
         label = gtk.Label(xstr("payload_cargo"))
         label.set_use_underline(True)
@@ -1063,5 +1063,5 @@
 
         table.attach(gtk.Label("kg"), 2, 3, 3, 4)
-        
+
         label = gtk.Label(xstr("payload_mail"))
         label.set_use_underline(True)
@@ -1077,5 +1077,5 @@
 
         table.attach(gtk.Label("kg"), 2, 3, 4, 5)
-        
+
         label = gtk.Label("<b>" + xstr("payload_zfw") + "</b>")
         label.set_alignment(0.0, 0.5)
@@ -1112,10 +1112,10 @@
         """The number of the crew members on the flight."""
         return self._numCrew.get_int()
-        
+
     @property
     def numPassengers(self):
         """The number of the passengers on the flight."""
         return self._numPassengers.get_int()
-        
+
     @property
     def bagWeight(self):
@@ -1148,5 +1148,5 @@
         self._mailWeight.set_int(bookedFlight.mailWeight)
         self._mailWeight.set_sensitive(True)
-        
+
         self._simulatorZFW.set_text("-")
         self._simulatorZFWValue = None
@@ -1171,5 +1171,5 @@
         zfw += self._mailWeight.get_int()
         return zfw
-        
+
     def _updateCalculatedZFW(self):
         """Update the calculated ZFW"""
@@ -1187,5 +1187,5 @@
         """Called when one of the weight values or humanm counts has changed."""
         self._updateCalculatedZFW()
-            
+
     def _zfwRequested(self, button):
         """Called when the ZFW is requested from the simulator."""
@@ -1218,5 +1218,5 @@
         """Called when the Back button is pressed."""
         self.goBack()
-        
+
 #-----------------------------------------------------------------------------
 
@@ -1246,5 +1246,5 @@
         self._departure.set_alignment(0.0, 0.5)
         table.attach(self._departure, 1, 2, 0, 1)
-        
+
         label = gtk.Label(xstr("time_arrival"))
         label.set_alignment(0.0, 0.5)
@@ -1319,5 +1319,5 @@
         """Called when the Back button is pressed."""
         self.goBack()
-        
+
     def _forwardClicked(self, button):
         """Called when the forward button is clicked."""
@@ -1325,5 +1325,5 @@
             gui = self._wizard.gui
             gui.beginBusy(xstr("fuel_get_busy"))
-            
+
             gui.simulator.getFuel(self._handleFuel)
         else:
@@ -1339,5 +1339,5 @@
         self._wizard._fuelData = fuelData
         self._wizard.nextPage()
-        
+
 #-----------------------------------------------------------------------------
 
@@ -1373,5 +1373,5 @@
         self._tankFigure.connect("motion_notify_event", self._motionNotify)
         self._tankFigure.connect("scroll-event", self._scrolled)
-        
+
         alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 1.0)
@@ -1393,5 +1393,5 @@
         alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 1.0)
-        alignment.add(self._expectedButton) 
+        alignment.add(self._expectedButton)
         self.pack_start(alignment, False, False, 4)
 
@@ -1421,5 +1421,5 @@
         (xOffset, yOffset) = (0, 0) if pygobject \
                              else (tankFigure.allocation.x, tankFigure.allocation.y)
-        
+
         width = tankFigure.get_allocated_width() if pygobject \
                 else tankFigure.allocation.width
@@ -1489,5 +1489,5 @@
         level = min(1.0, max(0.0, level))
         self._expectedButton.set_value(level * self.capacity)
-        
+
     def _buttonPressed(self, tankFigure, event):
         """Called when a button is pressed in the figure.
@@ -1496,8 +1496,8 @@
         if self._enabled and event.button==1:
             self._setExpectedFromY(event.y)
-        
+
     def _motionNotify(self, tankFigure, event):
         """Called when the mouse pointer moves within the area of a tank figure."""
-        if self._enabled and event.state==BUTTON1_MASK:            
+        if self._enabled and event.state==BUTTON1_MASK:
             self._setExpectedFromY(event.y)
 
@@ -1512,9 +1512,9 @@
                     increment *= -1
                 self._expectedButton.spin(SPIN_USER_DEFINED, increment)
-        
+
     def _expectedChanged(self, spinButton):
         """Called when the expected value has changed."""
         self.expectedWeight = spinButton.get_value_as_int()
-        self._redraw()        
+        self._redraw()
 
 #-----------------------------------------------------------------------------
@@ -1523,5 +1523,5 @@
     """The page containing the fuel tank filling."""
     _pumpStep = 0.02
-    
+
     def __init__(self, wizard):
         """Construct the page."""
@@ -1558,5 +1558,5 @@
         """Called when the Back button is pressed."""
         self.goBack()
-        
+
     def _forwardClicked(self, button):
         """Called when the forward button is clicked."""
@@ -1566,5 +1566,5 @@
             self._pump()
         else:
-            self._wizard.nextPage()        
+            self._wizard.nextPage()
 
     def _setupTanks(self, tankData):
@@ -1586,5 +1586,5 @@
             self._fuelTanks.append(fuelTank)
             index += 1
-            
+
         self._fuelAlignment.add(self._fuelTable)
         self.show_all()
@@ -1624,5 +1624,5 @@
                                                       currentLevel)])
             gobject.timeout_add(50, self._pump)
-        
+
 #-----------------------------------------------------------------------------
 
@@ -1694,5 +1694,5 @@
 
         label.set_mnemonic_widget(self._route)
-        routeBox.pack_start(routeWindow, True, True, 0)        
+        routeBox.pack_start(routeWindow, True, True, 0)
 
         mainBox.pack_start(routeBox, True, True, 8)
@@ -1700,5 +1700,5 @@
         self.addCancelFlightButton()
 
-        self._backButton = self.addPreviousButton(clicked = self._backClicked)        
+        self._backButton = self.addPreviousButton(clicked = self._backClicked)
         self._button = self.addNextButton(clicked = self._forwardClicked)
 
@@ -1735,5 +1735,5 @@
         self._button.set_sensitive(self._cruiseLevel.get_value_as_int()>=50 and \
                                    self._getRoute()!="")
-                                   
+
     def _cruiseLevelChanged(self, spinButton):
         """Called when the cruise level has changed."""
@@ -1764,5 +1764,5 @@
         """Called when the Back button is pressed."""
         self.goBack()
-        
+
     def _forwardClicked(self, button):
         """Called when the Forward button is clicked."""
@@ -1824,5 +1824,5 @@
         """Construct the briefing page."""
         self._departure = departure
-        
+
         title = xstr("briefing_title") % (1 if departure else 2,
                                           xstr("briefing_departure")
@@ -1860,5 +1860,5 @@
         self._notamsFrame.add(alignment)
         mainBox.pack_start(self._notamsFrame, True, True, 4)
-        
+
         self._metarFrame = gtk.Frame()
         self._metarFrame.set_label(xstr("briefing_metar_init"))
@@ -1897,5 +1897,5 @@
         buffer = self._metar.get_buffer()
         return buffer.get_text(buffer.get_start_iter(),
-                               buffer.get_end_iter(), True)        
+                               buffer.get_end_iter(), True)
 
     def setMETAR(self, metar):
@@ -1957,5 +1957,5 @@
         """Called when the Back button is pressed."""
         self.goBack()
-        
+
     def _forwardClicked(self, button):
         """Called when the forward button is clicked."""
@@ -2025,5 +2025,5 @@
         table.attach(self._runway, 1, 3, 0, 1)
         label.set_mnemonic_widget(self._runway)
-        
+
         label = gtk.Label(xstr("takeoff_sid"))
         label.set_use_underline(True)
@@ -2037,5 +2037,5 @@
         table.attach(self._sid, 1, 3, 1, 2)
         label.set_mnemonic_widget(self._sid)
-        
+
         label = gtk.Label(xstr("takeoff_v1"))
         label.set_use_markup(True)
@@ -2053,5 +2053,5 @@
         self._v1Unit = gtk.Label(xstr("label_knots"))
         table.attach(self._v1Unit, 3, 4, 2, 3)
-        
+
         label = gtk.Label(xstr("takeoff_vr"))
         label.set_use_markup(True)
@@ -2066,8 +2066,8 @@
         table.attach(self._vr, 2, 3, 3, 4)
         label.set_mnemonic_widget(self._vr)
-        
+
         self._vrUnit = gtk.Label(xstr("label_knots"))
         table.attach(self._vrUnit, 3, 4, 3, 4)
-        
+
         label = gtk.Label(xstr("takeoff_v2"))
         label.set_use_markup(True)
@@ -2082,5 +2082,5 @@
         table.attach(self._v2, 2, 3, 4, 5)
         label.set_mnemonic_widget(self._v2)
-        
+
         self._v2Unit = gtk.Label(xstr("label_knots"))
         table.attach(self._v2Unit, 3, 4, 4, 5)
@@ -2142,5 +2142,5 @@
         self._button.set_sensitive(False)
         self._forwardAllowed = False
-        
+
     def allowForward(self):
         """Allow going to the next page."""
@@ -2154,5 +2154,5 @@
         self._vr.reset()
         self._v2.reset()
-        
+
     def _updateForwardButton(self):
         """Update the sensitivity of the forward button based on some conditions."""
@@ -2170,5 +2170,5 @@
         """Called when the value of some widget has changed."""
         self._updateForwardButton()
-        
+
     def _upperChanged(self, entry, arg = None):
         """Called when the value of some entry widget has changed and the value
@@ -2176,9 +2176,9 @@
         entry.set_text(entry.get_text().upper())
         self._valueChanged(entry, arg)
-        
+
     def _backClicked(self, button):
         """Called when the Back button is pressed."""
         self.goBack()
-        
+
     def _forwardClicked(self, button):
         """Called when the forward button is clicked."""
@@ -2323,5 +2323,5 @@
         self._vref.reset()
         self._flightEnded = False
-        
+
     def activate(self):
         """Called when the page is activated."""
@@ -2371,6 +2371,6 @@
         self._transition.set_sensitive(active)
         if active:
-            self._transition.grab_focus()        
-        self._updateForwardButton()    
+            self._transition.grab_focus()
+        self._updateForwardButton()
 
     def _updateForwardButton(self):
@@ -2400,5 +2400,5 @@
         """Called when the Back button is pressed."""
         self.goBack()
-        
+
     def _forwardClicked(self, button):
         """Called when the forward button is clicked."""
@@ -2425,10 +2425,10 @@
                      ("flighttype_vip", const.FLIGHTTYPE_VIP),
                      ("flighttype_charter", const.FLIGHTTYPE_CHARTER) ]
-    
+
     def __init__(self, wizard):
         """Construct the finish page."""
         super(FinishPage, self).__init__(wizard, xstr("finish_title"),
                                          xstr("finish_help"))
-        
+
         alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
@@ -2492,5 +2492,5 @@
         labelAlignment.add(self._distanceFlown)
         table.attach(labelAlignment, 1, 2, 3, 4)
-        
+
         labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
         label = gtk.Label(xstr("finish_fuel"))
@@ -2527,5 +2527,5 @@
         flightTypeAlignment.add(self._flightType)
         table.attach(flightTypeAlignment, 1, 2, 5, 6)
-        label.set_mnemonic_widget(self._flightType)        
+        label.set_mnemonic_widget(self._flightType)
 
         self._onlineFlight = gtk.CheckButton(xstr("finish_online"))
@@ -2550,5 +2550,5 @@
         self._gate.add_attribute(renderer, "text", 0)
         self._gate.set_tooltip_text(xstr("finish_gate_tooltip"))
-        self._gate.connect("changed", self._gateChanged)               
+        self._gate.connect("changed", self._gateChanged)
         gateAlignment = gtk.Alignment(xalign=0.0, xscale=1.0)
         gateAlignment.add(self._gate)
@@ -2573,10 +2573,10 @@
         self._pirepSaved = False
         self._pirepSent = False
-        
+
         self._sendButton = self.addButton(xstr("sendPIREP"), default = True,
                                           sensitive = False,
                                           clicked = self._sendClicked,
                                           tooltip = xstr("sendPIREP_tooltip"))
-        
+
     @property
     def flightType(self):
@@ -2605,5 +2605,5 @@
         self._flightTime.set_markup("<b>%s</b>" % \
                                     (util.getTimeIntervalString(flightLength),))
-        
+
         blockLength = flight.blockTimeEnd - flight.blockTimeStart
         self._blockTime.set_markup("<b>%s</b>" % \
@@ -2612,5 +2612,5 @@
         self._distanceFlown.set_markup("<b>%.2f NM</b>" % \
                                        (flight.flownDistance,))
-        
+
         self._fuelUsed.set_markup("<b>%.0f kg</b>" % \
                                   (flight.startFuel - flight.endFuel,))
@@ -2644,5 +2644,5 @@
                     (self._gatesModel.get_iter_first() is None or
                      self._gate.get_active()>=0)
-        
+
         self._saveButton.set_sensitive(sensitive)
         self._sendButton.set_sensitive(sensitive and
@@ -2673,5 +2673,5 @@
             if result!=RESPONSETYPE_YES:
                 return
-            
+
         gui.reset()
 
@@ -2699,5 +2699,5 @@
         else:
             dialog.set_current_folder(os.path.dirname(self._lastSavePath))
-            
+
         dialog.set_current_name(fileName)
         result = dialog.run()
@@ -2708,5 +2708,5 @@
 
             self._lastSavePath = text2unicode(dialog.get_filename())
-            
+
             if pirep.save(self._lastSavePath):
                 type = MESSAGETYPE_INFO
@@ -2718,5 +2718,5 @@
                 message = xstr("finish_save_failed")
                 secondary = xstr("finish_save_failed_sec")
-                
+
             dialog = gtk.MessageDialog(parent = gui.mainWindow,
                                        type = type, message_format = message)
@@ -2744,10 +2744,10 @@
             dialog.set_modal(True)
             dialog.set_do_overwrite_confirmation(True)
-            
+
             filter = gtk.FileFilter()
             filter.set_name(xstr("file_filter_pireps"))
             filter.add_pattern("*.pirep")
             dialog.add_filter(filter)
-            
+
             filter = gtk.FileFilter()
             filter.set_name(xstr("file_filter_all"))
@@ -2758,5 +2758,5 @@
 
         return self._savePIREPDialog
-        
+
 
     def _sendClicked(self, button):
@@ -2774,8 +2774,8 @@
             bookedFlight = self._wizard.bookedFlight
             if bookedFlight.arrivalICAO=="LHBP":
-                iter = self._gate.get_active_iter()                
+                iter = self._gate.get_active_iter()
                 gateNumber = None if iter is None \
                              else self._gatesModel.get_value(iter, 0)
-                
+
                 status = const.PLANE_PARKING if gateNumber is None \
                          else const.PLANE_HOME
@@ -2791,5 +2791,5 @@
         """Callback for the plane updating."""
         pass
-        
+
 #-----------------------------------------------------------------------------
 
@@ -2810,5 +2810,5 @@
         self._pages.append(GateSelectionPage(self))
         self._pages.append(ConnectPage(self))
-        self._payloadPage = PayloadPage(self) 
+        self._payloadPage = PayloadPage(self)
         self._pages.append(self._payloadPage)
         self._payloadIndex = len(self._pages)
@@ -2822,7 +2822,7 @@
         self._pages.append(self._arrivalBriefingPage)
         self._arrivalBriefingIndex = len(self._pages)
-        self._takeoffPage = TakeoffPage(self) 
+        self._takeoffPage = TakeoffPage(self)
         self._pages.append(self._takeoffPage)
-        self._landingPage = LandingPage(self) 
+        self._landingPage = LandingPage(self)
         self._pages.append(self._landingPage)
         self._finishPage = FinishPage(self)
@@ -2859,5 +2859,5 @@
         """Indicate if there was a successful login."""
         return self._loginResult is not None
-        
+
     @property
     def loginResult(self):
@@ -3037,5 +3037,5 @@
                 self.gui.webHandler.getMETARs(self._arrivalMETARCallback,
                                               [self._bookedFlight.arrivalICAO])
-            
+
         elif stage==const.STAGE_END:
             for page in self._pages:
@@ -3051,5 +3051,5 @@
         self._fleet = None
         self._fleetCallback = None
-        
+
         self._bookedFlight = None
         self._departureGate = "-"
@@ -3063,5 +3063,5 @@
         for page in self._pages[firstPage:]:
             page.reset()
-        
+
         self.setCurrentPage(firstPage)
 
@@ -3081,5 +3081,5 @@
 
         self.gui.beginBusy(busyMessage)
-        
+
         self.gui.webHandler.login(self._loginResultCallback,
                                   pilotID, password,
@@ -3137,5 +3137,5 @@
                         else xstr("login_failconn_sec")
             dialog.format_secondary_markup(secondary)
-            
+
             dialog.run()
             dialog.hide()
@@ -3156,5 +3156,5 @@
             self._fleetCallback(fleet)
         self._fleetCallback = None
-        
+
     def updatePlane(self, callback, tailNumber, status, gateNumber = None):
         """Update the given plane's gate information."""
@@ -3169,5 +3169,5 @@
         """Called when the METAR of the arrival airport is retrieved."""
         gobject.idle_add(self._handleArrivalMETAR, returned, result)
-    
+
     def _handleArrivalMETAR(self, returned, result):
         """Called when the METAR of the arrival airport is retrieved."""
@@ -3177,5 +3177,5 @@
             if metar!="":
                 self._arrivalBriefingPage.setMETAR(metar)
-    
+
 #-----------------------------------------------------------------------------
 