Index: MLXMANIFEST
===================================================================
--- MLXMANIFEST	(revision 353)
+++ MLXMANIFEST	(revision 370)
@@ -7,11 +7,11 @@
 library/fnmatch.pyc	3414	4d50000f78e903598af06ef1c5cfb3ef
 library/libexpat-1.dll	143096	701659d3689bf4a8265b669b7d774255
-library/gtk/_gtk.pyc	549	d0d2256f8f20d3af65829fd827dfb85b
+library/gtk/_gtk.pyc	549	0d8efc9016901da61edb26d0972547e7
 library/encodings/cp858.pyc	7591	02054a0b8e91b9758826eb70cddf096f
-library/mlx/pirep.pyc	5154	45b51f4d185e0313a1b5529d3753be92
+library/mlx/pirep.pyc	5154	2d31bfda4c5d6b667bf9d12cd1b84cdf
 library/encodings/cp1254.pyc	2678	17ff2ac86f90886d5c73ed789f0499f3
 library/encodings/unicode_internal.pyc	2022	1e902113491e0c334b44deb0c8940e01
 library/libpango-1.0-0.dll	333729	5a14efd93ee27cfe960220fe4a904911
-library/mlx/gui/gui.pyc	45640	1db87954d0c1b4141b5642a8ceef7958
+library/mlx/gui/gui.pyc	46806	78261b54b5e85498e41e4223008a3ef0
 library/encodings/cp737.pyc	8102	40e61988748e4ca1742a2bad43949f4e
 library/stat.pyc	2503	d3b6dc7a54e705219f04d0be75a212de
@@ -22,5 +22,5 @@
 library/encodings/cp932.pyc	1638	e060301989634a7fb30ded375011cb09
 library/share/locale/hu/LC_MESSAGES/gtk20.mo	58794	6ee4491ae7bc9d3dfb778578eb29a0b3
-library/gobject/_gobject.pyc	573	91b836648ca731b9a5ec57873dd59c74
+library/gobject/_gobject.pyc	573	95fa81d03688658a147636ba6c342ffb
 library/encodings/utf_7.pyc	1747	2beeb059236527197d6c640396476ce8
 doc/manual/hu/pirepViewer.png	25089	47fd4cbd140cedcd5f972b16ef484ba0
@@ -40,5 +40,5 @@
 library/pangocairo.pyd	17920	5fc69a7d29a6d3127710c64de440daa4
 doc/manual/en/fuel.png	23882	896aa65c7a8d4fcd7710b386b96bb97c
-library/mlx/gui/info.pyc	5546	0578eb649eb6c0f40ddfb7bcb2487891
+library/mlx/gui/info.pyc	6082	fa61b9e5bd1dec5998a46ce9a07076e6
 library/xml/sax/xmlreader.pyc	17862	0362ded7016d21cdd85aea1170ebdda1
 doc/manual/hu/fuel.png	27014	6a7764815c991f99961b39080bf9af03
@@ -60,5 +60,5 @@
 library/encodings/utf_8.pyc	1806	4b8dee0284ea2f55c4142fcde7463524
 library/unicodedata.pyd	688128	c856c31a03dc892e4f2aee93d0bfee44
-locale/hu/LC_MESSAGES/mlx.mo	42005	f82a08529978efdf7bf9fc5d13836f36
+locale/hu/LC_MESSAGES/mlx.mo	42282	890e5df072558140cded2d1e1ce5b888
 library/encodings/mac_roman.pyc	2716	4b4745eccfcb77860b70b374ac07fbcc
 library/copy_reg.pyc	4893	7a58bc441232056d1c123cd3375b3774
@@ -73,10 +73,10 @@
 library/_hashlib.pyd	287232	a1a18de0644f481749fcbcf26005eeaf
 doc/manual/en/monitorWindow.png	16582	e07cbd4f5b360e1e8e80bc8409ad242b
-library/_hashlib.pyc	549	47ed7a5560c6440642f62a46d280c945
+library/_hashlib.pyc	549	7f4b3b6dae51481057cbe8ec1d366d5b
 library/libpng14-14.dll	230529	f3a15497e25baaa721f96638d7a4d2f8
 library/copy.pyc	11674	30d1745c5e38ab170f8a0486fbebf305
 library/share/locale/hu/LC_MESSAGES/gdk-pixbuf.mo	21895	a932ead453f04de30e348c1689a4d896
 library/unittest/result.pyc	7444	aefbb3cc79c0ff17787ce84faed7f5e8
-library/mlx/gui/__init__.pyc	107	22f268cac1c5be2f3a058810b6caead3
+library/mlx/gui/__init__.pyc	107	3494fc6a671a7b8a9dc72ea93948ae52
 library/encodings/iso8859_5.pyc	2679	58a290e94b0266ef8ff4ee52da00e257
 library/encodings/iso2022_kr.pyc	1683	ef9549932514d2deda6c4676e5e5f1db
@@ -84,8 +84,8 @@
 library/select.pyd	11776	d90bf525f9f6c9c3aa6532fa6e569b4f
 library/base64.pyc	10528	39abec9c60dc011d3c763f443f9b1a11
-locale/en/LC_MESSAGES/mlx.mo	38868	c51f7e0d6cc1d14ff249ad9c3eb5544a
+locale/en/LC_MESSAGES/mlx.mo	39121	86d76a3738bb06265af1dd60857547a8
 library/traceback.pyc	11223	50ace5c2c6c040a923082442da94cd78
 library/_weakrefset.pyc	9290	a56e87c491c0511cd329a3c8c4cd9563
-library/mlx/flight.pyc	13502	205eaced3ba4d54d8e35f90bc16724cd
+library/mlx/flight.pyc	16016	d56e157e2958df0e07a73edb2e327fd6
 library/urllib2.pyc	43566	7eb57ea0dcd1086d1d9073a5cefb0903
 doc/manual/en/flightSelection.png	25456	84e5574bc58ff156da71470550d540d8
@@ -114,5 +114,5 @@
 library/encodings/mac_latin2.pyc	4717	564dbaf5c296a147203eb821dc2466ba
 library/encodings/utf_16_be.pyc	1854	84a1d1465453727af051eaeeb853782f
-library/mlx/fsuipc.pyc	68229	d4600df06d7353f291561740f57ef638
+library/mlx/fsuipc.pyc	70091	f430d53c1cc82f75ee1bca0d4f19471f
 library/xml/sax/__init__.pyc	3579	c78222ad1fd4f3dbdea06666fe74e84e
 doc/manual/en/connect.png	24272	01e31d899c4ede823423f705c6886f30
@@ -126,5 +126,5 @@
 library/libgdk-win32-2.0-0.dll	931390	a2b46daac3d4140efdf86429f7aea476
 library/win32file.pyd	111616	25ecaa0a381c6fd9ba4080bea63b952e
-library/mlx/gui/common.pyc	9448	4601e0c0f6f0b9b3ba31ade9925520b1
+library/mlx/gui/common.pyc	9865	f72407707fd8b3e905e8b4a1c2e83d53
 library/dummy_threading.pyc	1265	5ab5c897721aeb346b5bccb84066c5bd
 doc/manual/hu/index.html	47588	fd83bee17f50bf3fd488d86f65563f7d
@@ -132,6 +132,6 @@
 sounds/767taxi.mp3	160496	4cb43cda6e1214fbe15328a716827345
 doc/manual/en/prefsAdvanced.png	13720	d43a6df9991d331ce8fdc9fedae514c3
-library/cairo/_cairo.pyc	561	492375d3e2f9cb70531538f51b7849e3
-library/win32file.pyc	552	0f1e1b9a5271e9cf73f2ac0cdbebdf26
+library/cairo/_cairo.pyc	561	580d2620778754694f18634a7cb2140e
+library/win32file.pyc	552	ac66d5fe20346ece829ee316fcb672f4
 library/encodings/cp865.pyc	7868	7d40a7ba053ac23339218be8799e5397
 library/lib/gtk-2.0/2.10.0/engines/libwimp.dll	97984	a5bbbe46e1363aba9020a76f2d58e9d6
@@ -142,5 +142,5 @@
 library/share/locale/hu/LC_MESSAGES/gtk20-properties.mo	167125	cd1b1b3693c1e3c74bfcea20be640cc6
 conn_red.png	914	860388cb7c3b26b2f348fdbee40780ce
-library/bz2.pyc	534	19856ac181177d008d6e2151f1e721e4
+library/bz2.pyc	534	79a4766a98cca3716cb61ac475194e16
 library/xml/sax/expatreader.pyc	13563	4f64c0efb2f1f8dbba84cdb5c6036f2d
 library/email/utils.pyc	8840	a7be428df6fddee6121cfce55382d1f8
@@ -158,6 +158,6 @@
 library/mlx/gui/statusbar.pyc	4812	4b93e9938726d9eab4b1abb96d135190
 library/warnings.pyc	12666	9788b5f45765e8204e04c820f2711094
-mlxupdate.exe	19456	ba845bf0bbce0ad0694e78f7f7444eae
-library/mlx/const.pyc	6956	d6e3d700fcbbd78d87f9ceb60feaa156
+mlxupdate.exe	19456	92bd0d964a4e8f1dbd0e114cfdfc82cc
+library/mlx/const.pyc	6956	a4bf661abc6307d8d8ae56e1b1326537
 library/email/errors.pyc	3229	cdb78ab237e195ad69f059128bc03b1d
 library/linecache.pyc	3091	666e6f81b0ea9a7637f8068493f738d5
@@ -172,5 +172,5 @@
 library/shlex.pyc	7282	cbe1a4823894c97c87d01f9d9faf5b8f
 library/cairo/__init__.pyc	142	010dd7cc8485565d5782d60e92e4ba34
-library/_ssl.pyc	537	8fa0f96c4e0422bd67a1ec93ffca2a40
+library/_ssl.pyc	537	f7a928c34ddcef1ad91a9a560099bb3d
 library/encodings/iso8859_8.pyc	2717	f3ad6ce58cfac9e3ca86cf5c2fef092b
 library/encodings/iso2022_jp_1.pyc	1699	faed9d5747e982cec9fa8b3ad8e1de26
@@ -192,5 +192,5 @@
 library/encodings/cp1252.pyc	2676	b4c43cc72650c911cf3654dbaf565df9
 library/share/locale/hu/LC_MESSAGES/atk10.mo	8465	e3f3466da367215aad971d7b0394229d
-library/unicodedata.pyc	558	ba4f9d20b502821c8964dc1eac431d6d
+library/unicodedata.pyc	558	763cca6a1c3340cbc93c8d85661f5028
 library/encodings/uu_codec.pyc	4646	5282a5fcb676851224d2924aa3e48a9e
 library/ConfigParser.pyc	23857	1d17020dd0000ce0f73de812effa152f
@@ -204,7 +204,7 @@
 library/random.pyc	24831	54b2048974a5c98912276ffa5dc637a9
 library/mlx/util.pyc	4495	3360abef56c18247ae5f56b4aaf8974c
-library/mlx/soundsched.pyc	9214	85bf8f63f23f663003b25997bfb4b5f2
+library/mlx/soundsched.pyc	9185	70d145fdbd01d9e3645230cdf7137ca1
 library/doctest.pyc	79210	620422f95e18417ff5f8440534a71e91
-library/mlx/logger.pyc	5106	0d3a6e0de5b02caef9c331fabdfa71e8
+library/mlx/logger.pyc	12651	9776f389184350f6224d765986cb5915
 library/encodings/cp775.pyc	7888	25bf7dd514dff294aa02d5119399b2b7
 library/libfontconfig-1.dll	279059	dd583bedc5efe7bbd21a8ef107dec88d
@@ -223,5 +223,5 @@
 doc/manual/hu/flightInfoTab.png	22378	5f3e77393d8693fec723590daeedb50a
 library/encodings/utf_8_sig.pyc	4625	1b1405db186e5819fa271ff96c1ca2c5
-library/pangocairo.pyc	555	8cc2142093d3378c8682e45810eaf9b7
+library/pangocairo.pyc	555	cc37d44ad1f7d7f53689aa5ca68cc23a
 library/encodings/cp1255.pyc	2697	b265913c887f2e1c8736632b652c0093
 library/encodings/zlib_codec.pyc	4308	319c9073aff840436a03cc1fa0b08fb5
@@ -236,5 +236,5 @@
 library/intl.dll	152489	eb2d4c4d4a527bc88a69a16cc99afcf5
 library/encodings/mbcs.pyc	1883	2213911a7dd0deada6799b63e18b695b
-library/pyuipc.pyc	543	40e2fe48a28f64e5468224d64bbf6751
+library/pyuipc.pyc	543	2cd98302112167bec351d101ac818d1d
 sounds/TOC.mp3	273032	fae1be2ad25c8b54806bd1d759919705
 library/encodings/iso8859_4.pyc	2678	16f2fe7994051752360c533c052b892b
@@ -260,10 +260,10 @@
 doc/manual/hu/flightSelection.png	27734	560275c030f373691ca59e99c4ba686e
 library/win32pipe.pyd	24064	de374eded459293b2a7eb8ed8fb38eaa
-library/win32pipe.pyc	552	822d533f9d40bc5ba289690b22ba9795
+library/win32pipe.pyc	552	2585eadfd2b77ae9fd64a2abe3611db5
 doc/manual/hu/logTab.png	29189	d3cbae223d547919d9954fc535856298
 library/encodings/iso2022_jp_2004.pyc	1723	66376e788f3819e781897268c1100986
-library/win32event.pyc	555	52a96e4e9083ba984f2e66cf3a360972
+library/win32event.pyc	555	c1c26440a0101bbbc671f98b73dee8d9
 library/encodings/cp866.pyc	8103	f36418dcf93b17b3ced63bd544f44159
-library/gio/_gio.pyc	549	72b5683e2870be21c955775f1272648e
+library/gio/_gio.pyc	549	99db00ebc71a06660f8c4a7da1a8ca4c
 library/encodings/cp437.pyc	7874	63f1278c0a66129c6fb4f504d6b61b66
 doc/manual/hu/helpTab.png	25326	f83cf32e49d6de786df20885232aa1ee
@@ -287,5 +287,5 @@
 library/mlx/gui/pirep.pyc	16780	06c8ceef8809771f5b870ca161d2a0e1
 library/mimetypes.pyc	17806	927ce6a7079707aaee925e855ed23454
-library/_ctypes.pyc	546	e8580940237fd1de5d5481fb8e12b381
+library/_ctypes.pyc	546	2135484ce6142bfd4773edd44b5d1421
 sounds/F70taxi.mp3	154854	51332dc691d3519355f61ed06c959d8d
 library/encodings/cp857.pyc	7611	1b46c8959ac097b73e1c680d464cdc32
@@ -305,5 +305,5 @@
 library/repr.pyc	5045	82f0d89c685c3dacd941e01e4b2f31ef
 library/quopri.pyc	6352	87c42d94f753dd4c8a761cfa79453bb8
-library/mlx/gui/monitor.pyc	11280	696daac1ec9e96f7a695d278714fcf0a
+library/mlx/gui/monitor.pyc	11634	98baf54c972e7b0ae85a9cfef38c0899
 library/encodings/latin_1.pyc	2111	52427573ccbfd06220b67d5a9dd1376e
 library/mlx/update.pyc	16807	8d437ba1c244283a0b6ebaecd891ccb7
@@ -314,8 +314,8 @@
 doc/manual/en/gatesTab.png	25611	6de724fef235fcdb11a5c960f9f40502
 library/bdb.pyc	17708	9a8fdcaa65f595c842689247847879d9
-library/mlx/gui/flight.pyc	100802	4cdfe3fc9d3fe10389af224722d98364
+library/mlx/gui/flight.pyc	102544	75aa4be4f81bd3f8b1f9a48655979255
 library/unittest/case.pyc	37758	1d2235e74c246b562c5c00ddf73c621a
 library/subprocess.pyc	38648	c9f749db06dfc9fb32079de51d6efd01
-library/mlx/acft.pyc	29204	17ee632bd05ec7d3314aaedb22fac992
+library/mlx/acft.pyc	30308	0f4bc86695670f9f26eb04e65e7bc70c
 library/gobject._gobject.pyd	113152	3d05dd191361f83aa247b62c700fa04e
 doc/manual/hu/checklistEditor.png	27863	8c750892a52dc10ca654a9d0b2765358
@@ -330,5 +330,5 @@
 library/encodings/cp863.pyc	7868	fc7ff06dab536b93c68fcb8e7bac713f
 library/xml/parsers/__init__.pyc	294	83f6a77ed8cd962b3c75c4779dc557ac
-library/pyexpat.pyc	546	92543832c0323b4eab1fbfed905aa62c
+library/pyexpat.pyc	546	ac4a897453da7e21121447d0e4d6c0e8
 doc/manual/hu/gateSelection.png	26472	aa5a7d5602ec8544d1aed25b731a2460
 logo.png	69816	4a7517b22cfd75cc9c15e3fc1b7ebeec
@@ -355,15 +355,15 @@
 library/_socket.pyd	38400	5d273be76603399e88cf57f2605004bf
 sounds/ding.wav	80856	18e639792d3767436ac6955eb60e4f54
-library/_socket.pyc	546	3d36693c0800f1253ce0a8ab1e3b9e12
+library/_socket.pyc	546	83dcfde6ebb8b8cc4000d1640472640f
 library/encodings/hex_codec.pyc	3520	a8b8d5b7c8810379c7007bcbc253951c
-library/mlx/checks.pyc	55922	38e2502173f1fb43aef1d6bd0655e9c2
+library/mlx/checks.pyc	57866	64b94b743d89debb245ca29a779484c5
 doc/manual/en/statusIcon2.png	5875	71fc121823dee0a4c00715fac1b5665c
 library/mlx/sound.pyc	6252	1257e14de9b3792abe148c29783939cb
 doc/manual/en/pirepViewer.png	22216	326127e30fa405919b337cc9920698ed
 library/encodings/aliases.pyc	8750	75c22196420d0157fec085d285947a71
-library/glib/_glib.pyc	555	f59a646270463e653143e2e34ad5e004
+library/glib/_glib.pyc	555	05a003e69667dbf01b577c1a9237f16e
 library/libpangowin32-1.0-0.dll	108945	d07f128828225b7cc38e9e590eb3ba8a
 library/encodings/iso8859_10.pyc	2693	5e6cc8f721486ddbc1c99da285e13191
-library/win32api.pyc	549	43a0bda8ecc12fc84054dd8074d078b3
+library/win32api.pyc	549	a9d97caf7b917546923101a6bfaae3fc
 library/gobject/constants.pyc	1957	2e9cdc605e7c449ef4fc23f56128acec
 library/libgtk-win32-2.0-0.dll	4938115	cc6dca192aca6f91bd96a5b5f86e036d
@@ -385,5 +385,5 @@
 sounds/cpt_takeoff.mp3	8255	254edcf79b8b3752d1a7c191c57f615a
 library/encodings/cp860.pyc	7857	59c6f69108873700081e71b2faaa29f8
-library/mlx/__init__.pyc	103	029f80bd80f880e6ca70ef4ba46f7d06
+library/mlx/__init__.pyc	103	877b8715b7e58440a0e8f212cab6035e
 library/encodings/iso8859_13.pyc	2696	f901ae0bbcfbb78f0c1783e89b2e2dc5
 library/mlx/i18n.pyc	1972	fe45816e49cf5e380bc39942a9dfa875
@@ -394,5 +394,5 @@
 library/webbrowser.pyc	18138	c85009edebad6d278fe786fec10ebbbe
 library/sre_compile.pyc	10792	c58f94fbee661f3bb0c59ecc13c0416e
-library/mlx/pyuipc_sim.pyc	54377	feffd513ee2e17ae96b0418c1aebddd4
+library/mlx/pyuipc_sim.pyc	54865	4e8fd52a560e23a9fd79b5361b993eb0
 library/encodings/iso8859_9.pyc	2678	88880e046738ebd2012c8034416a9adf
 library/encodings/cp875.pyc	2636	c72faa5d1cb6105ae81c971448fea479
@@ -407,10 +407,10 @@
 library/email/iterators.pyc	2266	b8a0df35815bc00be1ed8ece42aac537
 library/encodings/hz.pyc	1614	876bb7c36683358c3e95005619b10541
-library/select.pyc	543	068c29ad395dba5a7c94e9d9bf972a53
+library/select.pyc	543	cd7659238eb9bfbabe1a31690ab4aa30
 library/encodings/iso2022_jp.pyc	1683	40c2b92127f99452f84b250c2b4b2cda
 library/libgthread-2.0-0.dll	44287	7ad6f303082b382bff7bafbab246c61f
 library/glib._glib.pyd	58368	0de636503e43c4eb00e80927bc9bda97
 library/mlx/config.pyc	27247	837bdcfc749687cc18e55caca0f9f33a
-library/atk.pyc	534	071b90379a1e86267fbf8f0e1d128c42
+library/atk.pyc	534	2a437b555282c0d7000f8299af6506df
 library/gio._gio.pyd	263168	acb8c95fdc391079bebdf7d8685b0dbc
 library/encodings/cp861.pyc	7868	c97a8970ce4d9f40cbafbea6576fbdca
@@ -422,7 +422,7 @@
 library/__future__.pyc	4177	43d264d951ac2085334c7b9dd4558595
 library/logging/__init__.pyc	54813	7bcdf2e8da474f5e94d8e499f6fc3ed4
-runmlx.exe	64000	2b81f751a10178f8894c562cfbb2d005
+runmlx.exe	64000	d105575cb6b57c545d056d408342e3dc
 library/optparse.pyc	51253	39594a40bc1222173d57b7d5740e3d92
-library/mlx/fs.pyc	11012	2d234884e9a2e0a18c023baf5ce4819a
+library/mlx/fs.pyc	11465	00d25a8ab867e520e66840acccaca2a7
 library/inspect.pyc	38547	836f659fad54f5ee7e8f9d565003aacd
 library/pickle.pyc	36348	2b55640f6f4e2fd70d95482fd16bfb73
@@ -433,5 +433,5 @@
 library/glib/option.pyc	11891	bd90183c75d8f473ecf653e3d63a27f9
 library/StringIO.pyc	11100	f4eb4a2bb3d6fb0af925681c5375c673
-library/pango.pyc	540	6816edc8a64c30ff40803539ee6b2aac
+library/pango.pyc	540	fb4508e2cb9c820417291aeeb9dcf0d8
 Microsoft.VC90.CRT/msvcp90.dll	568832	6de5c66e434a9c1729575763d891c6c2
 library/sre_parse.pyc	18380	fe2376a101668be1124f9ee316662bab