Index: test/f70.vaflight
===================================================================
--- test/f70.vaflight	(revision 314)
+++ test/f70.vaflight	(revision 314)
@@ -0,0 +1,16 @@
+callsign=MA950
+date=2012-05-7
+dep_airport=LHBP
+dest_airport=LHDC
+planecode=F70
+planetype=Fokker F70
+tail_nr=HA-LON
+passenger=82
+crew=5
+bag=300
+cargo=875
+mail=125
+flight_route=NORAH L140 NARKA
+departure_time=08\:00\:00
+arrival_time=08\:40\:00
+foglalas_id=100098
Index: test/f70.vaflight
===================================================================
--- test/f70.vaflight	(revision 314)
+++ 	(revision )
@@ -1,16 +1,0 @@
-callsign=MA950
-date=2012-05-7
-dep_airport=LHBP
-dest_airport=LHDC
-planecode=F70
-planetype=Fokker F70
-tail_nr=HA-LON
-passenger=82
-crew=5
-bag=300
-cargo=875
-mail=125
-flight_route=NORAH L140 NARKA
-departure_time=08\:00\:00
-arrival_time=08\:40\:00
-foglalas_id=100098
Index: test/test.sh
===================================================================
--- test/test.sh	(revision 163)
+++ test/test.sh	(revision 163)
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+scriptdir=`dirname $0`
+sim="${scriptdir}/../src/mlx/pyuipc_sim.py"
+
+host="localhost"
+if test $# -gt 1; then
+    host=$2
+fi
+
+oldIFS="${IFS}"
+IFS=$'\n'
+for line in `cat $1`; do
+    read -p "$line"
+    echo $line | python "${sim}" "${host}" >/dev/null
+done
+IFS="${oldIFS}"
Index: test/test.sh
===================================================================
--- test/test.sh	(revision 163)
+++ 	(revision )
@@ -1,17 +1,0 @@
-#!/bin/bash
-
-scriptdir=`dirname $0`
-sim="${scriptdir}/../src/mlx/pyuipc_sim.py"
-
-host="localhost"
-if test $# -gt 1; then
-    host=$2
-fi
-
-oldIFS="${IFS}"
-IFS=$'\n'
-for line in `cat $1`; do
-    read -p "$line"
-    echo $line | python "${sim}" "${host}" >/dev/null
-done
-IFS="${oldIFS}"
Index: test/test1.txt
===================================================================
--- test/test1.txt	(revision 391)
+++ test/test1.txt	(revision 391)
@@ -0,0 +1,74 @@
+set n1_1=0
+set n1_2=0
+set onTheGround=yes
+set gs=0
+set xpdrC=1
+set lights=1
+set noseGear=100
+set flapsControl=0
+set zfw=46741 hour=7 min=50
+set latitude=47.44 longitude=19.26
+set nav1=115.9
+set adf1=382
+set parking=yes
+set parking=no
+set lights=3
+set n1_1=25
+set n1_2=25
+set pitot=yes
+set eng1Deice=yes
+set eng2Deice=yes
+set gs=10 ias=10
+set flapsControl=37.5
+set nav2=112.3
+set adf1=540
+set xpdrC=0
+set lights=23
+set gs=60 ias=60
+set gs=80 ias=80
+set n1_1=70
+set n1_2=70
+set gs=90 ias=90
+set n1_1=90
+set n1_2=90
+set gs=100 ias=100
+set gs=120 ias=120
+set onTheGround=no
+set altitude=600
+set noseGear=0
+set altitude=2000
+set nav1=111.5
+set flapsControl=0
+set altitude=10000
+set lights=19
+set ias=400
+set altitude=22001
+set vs=-200
+set altitude=15000
+set nav1=116.3
+set altitude=10000
+set adf2=540
+set ias=160 gs=170
+set flapsControl=87.5
+set ias=130 gs=130
+set altitude=3500
+set ias=125 gs=125
+set radioAltitude=3200
+set radioAltitude=1100
+set noseGear=100
+set radioAltitude=50
+set radioAltitude=29
+set radioAltitude=9
+set altitude=517
+set latitude=47.49 longitude=21.62
+set onTheGround=yes
+set n1_1=-10
+set n1_2=-10
+set n1_1=0
+set n1_2=0
+set ias=45 gs=45
+set ias=35 gs=35
+set ias=20 gs=20
+set xpdrC=1
+set ias=0 gs=0
+set parking=yes
Index: test/test1.txt
===================================================================
--- test/test1.txt	(revision 375)
+++ 	(revision )
@@ -1,72 +1,0 @@
-set n1_1=0
-set n1_2=0
-set onTheGround=yes
-set gs=0
-set xpdrC=1
-set lights=1
-set noseGear=100
-set flapsControl=0
-set zfw=46741 hour=7 min=50
-set latitude=47.44 longitude=19.26
-set nav1=115.9
-set adf1=382
-set parking=yes
-set parking=no
-set lights=3
-set n1_1=25
-set n1_2=25
-set pitot=yes
-set gs=10 ias=10
-set flapsControl=37.5
-set nav2=112.3
-set adf1=540
-set xpdrC=0
-set lights=23
-set gs=60 ias=60
-set gs=80 ias=80
-set n1_1=70
-set n1_2=70
-set gs=90 ias=90
-set n1_1=90
-set n1_2=90
-set gs=100 ias=100
-set gs=120 ias=120
-set onTheGround=no
-set altitude=600
-set noseGear=0
-set altitude=2000
-set nav1=111.5
-set flapsControl=0
-set altitude=10000
-set lights=19
-set ias=400
-set altitude=22001
-set vs=-200
-set altitude=15000
-set nav1=116.3
-set altitude=10000
-set adf2=540
-set ias=160 gs=170
-set flapsControl=87.5
-set ias=130 gs=130
-set altitude=3500
-set ias=125 gs=125
-set radioAltitude=3200
-set radioAltitude=1100
-set noseGear=100
-set radioAltitude=50
-set radioAltitude=29
-set radioAltitude=9
-set altitude=517
-set latitude=47.49 longitude=21.62
-set onTheGround=yes
-set n1_1=-10
-set n1_2=-10
-set n1_1=0
-set n1_2=0
-set ias=45 gs=45
-set ias=35 gs=35
-set ias=20 gs=20
-set xpdrC=1
-set ias=0 gs=0
-set parking=yes
Index: test/test2.txt
===================================================================
--- test/test2.txt	(revision 314)
+++ test/test2.txt	(revision 314)
@@ -0,0 +1,84 @@
+set airPath="C:\Program Files\Microsoft Games\FS9\Aircraft\Cessna\fokker70_2k4_v4.3.air"
+set lights=0
+set zfw=46741 hour=7 min=50
+set latitude=47.44 longitude=19.26
+set parking=no
+set gs=10 ias=10
+set flapsControl=37.5
+set gs=60 ias=60
+set lights=21
+set gs=80 ias=80
+set gs=90 ias=90
+set gs=100 ias=100
+set gs=120 ias=120
+set onTheGround=no
+set altitude=600
+set noseGear=0
+set altitude=2000
+set flapsControl=0
+set altitude=10000
+set lights=17
+set ias=400
+set altitude=22001
+set vs=-200
+set flapsControl=87.5
+set ias=130 gs=130
+set altitude=557
+set ias=125 gs=125
+set radioAltitude=3200
+set radioAltitude=3100
+set radioAltitude=3000
+set radioAltitude=2900
+set radioAltitude=2800
+set radioAltitude=2700
+set radioAltitude=2600
+set radioAltitude=2521
+set radioAltitude=2510
+set radioAltitude=2500
+set radioAltitude=2500
+set radioAltitude=2499
+set radioAltitude=2520
+set radioAltitude=2400
+set radioAltitude=2300
+set radioAltitude=2200
+set radioAltitude=2100
+set radioAltitude=2018
+set radioAltitude=1950
+set radioAltitude=1800
+set radioAltitude=1600
+set radioAltitude=1550
+set radioAltitude=1450
+set radioAltitude=1590
+set radioAltitude=1499
+set radioAltitude=1400
+set radioAltitude=1300
+set radioAltitude=1200
+set radioAltitude=1200
+set radioAltitude=1100
+set radioAltitude=1001
+set radioAltitude=912
+set radioAltitude=832
+set radioAltitude=705
+set radioAltitude=599
+set radioAltitude=501
+set radioAltitude=412
+set radioAltitude=331
+set radioAltitude=241
+set radioAltitude=102
+set radioAltitude=90
+set noseGear=100
+set radioAltitude=80
+set radioAltitude=70
+set radioAltitude=60
+set radioAltitude=51
+set radioAltitude=42
+set radioAltitude=29
+set radioAltitude=9
+set altitude=517
+set latitude=47.49 longitude=21.62
+set onTheGround=yes
+set ias=45 gs=45
+set ias=35 gs=35
+set ias=20 gs=20
+set ias=0 gs=0
+set parking=yes
Index: test/test2.txt
===================================================================
--- test/test2.txt	(revision 314)
+++ 	(revision )
@@ -1,84 +1,0 @@
-set airPath="C:\Program Files\Microsoft Games\FS9\Aircraft\Cessna\fokker70_2k4_v4.3.air"
-set lights=0
-set zfw=46741 hour=7 min=50
-set latitude=47.44 longitude=19.26
-set parking=no
-set gs=10 ias=10
-set flapsControl=37.5
-set gs=60 ias=60
-set lights=21
-set gs=80 ias=80
-set gs=90 ias=90
-set gs=100 ias=100
-set gs=120 ias=120
-set onTheGround=no
-set altitude=600
-set noseGear=0
-set altitude=2000
-set flapsControl=0
-set altitude=10000
-set lights=17
-set ias=400
-set altitude=22001
-set vs=-200
-set flapsControl=87.5
-set ias=130 gs=130
-set altitude=557
-set ias=125 gs=125
-set radioAltitude=3200
-set radioAltitude=3100
-set radioAltitude=3000
-set radioAltitude=2900
-set radioAltitude=2800
-set radioAltitude=2700
-set radioAltitude=2600
-set radioAltitude=2521
-set radioAltitude=2510
-set radioAltitude=2500
-set radioAltitude=2500
-set radioAltitude=2499
-set radioAltitude=2520
-set radioAltitude=2400
-set radioAltitude=2300
-set radioAltitude=2200
-set radioAltitude=2100
-set radioAltitude=2018
-set radioAltitude=1950
-set radioAltitude=1800
-set radioAltitude=1600
-set radioAltitude=1550
-set radioAltitude=1450
-set radioAltitude=1590
-set radioAltitude=1499
-set radioAltitude=1400
-set radioAltitude=1300
-set radioAltitude=1200
-set radioAltitude=1200
-set radioAltitude=1100
-set radioAltitude=1001
-set radioAltitude=912
-set radioAltitude=832
-set radioAltitude=705
-set radioAltitude=599
-set radioAltitude=501
-set radioAltitude=412
-set radioAltitude=331
-set radioAltitude=241
-set radioAltitude=102
-set radioAltitude=90
-set noseGear=100
-set radioAltitude=80
-set radioAltitude=70
-set radioAltitude=60
-set radioAltitude=51
-set radioAltitude=42
-set radioAltitude=29
-set radioAltitude=9
-set altitude=517
-set latitude=47.49 longitude=21.62
-set onTheGround=yes
-set ias=45 gs=45
-set ias=35 gs=35
-set ias=20 gs=20
-set ias=0 gs=0
-set parking=yes